       SUBROUTINE INSTR_KEYWORDS( PRODUCT )
C
C----------------------------------------------------------------------
C
C.IDENTIFICATION: Subroutine INSTR_KEYWORDS
C.LIBRARY:        FOTLIB
C.AUTHOR:         L.Chiappetti - IFCTR Milano
C.VERSIONS:       0.0 - 15 May 96 - original version
C                 0.1 - 25 Jun 96 - updated for PDS
C                 0.2 - 05 Jul 96 - added PRODUCT parameter (LN)
C                 0.3 - 21 Nov 96 - this is not used for MECS call
C                 0.4 - 13 Dec 96 - PRODUCT --> CHARACTER*1 (MG/SDC)
C                 0.5 - 31 Dec 98 - updated for LECS
C                 0.6 - 16 Dec 99 - updated for HPGSPC
C.PURPOSE:        dispatcher for "instrument keywords" to header
C.METHOD:         call instrument specific routine
C.SYNTAX:         CALL  INSTR_KEYWORDS( PRODUCT )
C.PARAMETERS:     PRODUCT:   (char) The product type: S (spectrum), T (time
C                                   series, I (image), P (photon list),
C                                   H (housekeeping), M (matrix)
C.RESTRICTIONS:
C.NOTES:          
C.FILES:
C.REFERENCES
C
C----------------------------------------------------------------------
C
      INCLUDE  'hcommon.inc'
      INCLUDE  'bincommon.inc'
      INCLUDE  'accumcommon.inc'
      CHARACTER PRODUCT*1,INSTR*4
*
c.      IF (ACCUMCOMMON_INSTR.EQ.' ')
      CALL GET_GLOBAL_DEFAULT( 'INSTRUMENT','NONE',INSTR )
      IF(INSTR.EQ.'mecs')THEN
         CALL MECS_KEYWORDS
      ELSE IF(INSTR.EQ.'pds')THEN
         CALL PDS_Keywords( PRODUCT )
      ELSE IF(INSTR.EQ.'lecs')THEN
         CALL LECS_KEYWORDS
      ELSE IF(INSTR.EQ.'hpgs')THEN
         CALL HP_KEYWORDS
      ELSE
C--> Add other instrument specific calls below 
      ENDIF
      RETURN
      END











